Index: sansdataloader/docs/sphinx/html/_sources/api/data_info.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/data_info.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/data_info.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.data_info`
+:mod:`sans.dataloader.data_info`
 ==============================================================================
 
-.. automodule:: DataLoader.data_info
+.. automodule:: sans.dataloader.data_info
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/index.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/index.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/index.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -14,3 +14,5 @@
 .. toctree::
 
-   
+   data_info.rst
+   loader.rst
+   manipulations.rst
Index: sansdataloader/docs/sphinx/html/_sources/api/loader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/loader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/loader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.loader`
+:mod:`sans.dataloader.loader`
 ==============================================================================
 
-.. automodule:: DataLoader.loader
+.. automodule:: sans.dataloader.loader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/manipulations.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/manipulations.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/manipulations.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.manipulations`
+:mod:`sans.dataloader.manipulations`
 ==============================================================================
 
-.. automodule:: DataLoader.manipulations
+.. automodule:: sans.dataloader.manipulations
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/IgorReader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/IgorReader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/IgorReader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.IgorReader`
+:mod:`sans.dataloader.readers.IgorReader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.IgorReader
+.. automodule:: sans.dataloader.readers.IgorReader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/abs_reader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/abs_reader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/abs_reader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.abs_reader`
+:mod:`sans.dataloader.readers.abs_reader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.abs_reader
+.. automodule:: sans.dataloader.readers.abs_reader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/ascii_reader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/ascii_reader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/ascii_reader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.ascii_reader`
+:mod:`sans.dataloader.readers.ascii_reader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.ascii_reader
+.. automodule:: sans.dataloader.readers.ascii_reader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/associations.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/associations.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/associations.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.associations`
+:mod:`sans.dataloader.readers.associations`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.associations
+.. automodule:: sans.dataloader.readers.associations
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/cansas_reader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/cansas_reader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/cansas_reader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.cansas_reader`
+:mod:`sans.dataloader.readers.cansas_reader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.cansas_reader
+.. automodule:: sans.dataloader.readers.cansas_reader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/danse_reader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/danse_reader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/danse_reader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.danse_reader`
+:mod:`sans.dataloader.readers.danse_reader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.danse_reader
+.. automodule:: sans.dataloader.readers.danse_reader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/hfir1d_reader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/hfir1d_reader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/hfir1d_reader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.hfir1d_reader`
+:mod:`sans.dataloader.readers.hfir1d_reader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.hfir1d_reader
+.. automodule:: sans.dataloader.readers.hfir1d_reader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/red2d_reader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/red2d_reader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/red2d_reader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.red2d_reader`
+:mod:`sans.dataloader.readers.red2d_reader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.red2d_reader
+.. automodule:: sans.dataloader.readers.red2d_reader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: sansdataloader/docs/sphinx/html/_sources/api/readers/tiff_reader.txt
===================================================================
--- sansdataloader/docs/sphinx/html/_sources/api/readers/tiff_reader.txt	(revision fc5d49e32e7ffb99bb9ff1bece362a93d660306b)
+++ sansdataloader/docs/sphinx/html/_sources/api/readers/tiff_reader.txt	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
@@ -5,11 +5,13 @@
 ******************************************************************************
 
-:mod:`DataLoader.readers.tiff_reader`
+:mod:`sans.dataloader.readers.tiff_reader`
 ==============================================================================
 
-.. automodule:: DataLoader.readers.tiff_reader
+.. automodule:: sans.dataloader.readers.tiff_reader
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 